%global gimpplugindir %(gimptool --gimpplugindir)/plug-ins

Summary: GREYC's Magic for Image Computing
Name: gmic
Version: 1.5.8.3
Release: 1%{?dist}
Source: http://downloads.sourceforge.net/project/%{name}/%{name}_%{version}.tar.gz
License: CeCILL
Url: http://gmic.sourceforge.net/index.shtml
Group: Applications/Multimedia
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libtiff-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: fftw-devel
BuildRequires: OpenEXR-devel
BuildRequires: zlib-devel
BuildRequires: gtk2-devel
BuildRequires: gimp-devel-tools
BuildRequires: hdf5-devel
BuildRequires: opencv-devel
BuildRequires: GraphicsMagick-c++-devel
BuildRequires: ilmbase-devel
BuildRequires: qt-devel

%description
G'MIC is an open and full-featured framework for image processing, providing
several different user interfaces to convert/manipulate/filter/visualize
generic image datasets, from 1d scalar signals to 3d+t sequences of
multi-spectral volumetric images.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%package -n gimp-%{name}-plugin
Summary: G'MIC plugin for GIMP

%description -n gimp-%{name}-plugin
This package provides a GIMP plugin integrating with G'MIC

%package -n zart
Summary: G'MIC video effects GUI

%description -n zart
This package provides a desktop application for
demonstrating G'MIC effects on a webcam video
stream.

%prep

%setup -q

%build
# Setting FFMPEG flags to empty string to disable G'MIC's
# use of that library. It will fallback to exec'ing the
# CLI tools if they happen to be installed.
make -C src %{?_smp_mflags} FFMPEG_CFLAGS= FFMPEG_LDFLAGS= \
   OPT_CFLAGS="%{optflags}" OPT_LDFLAGS="%{__global_ldflags}"

# The distributed zart Makefile references Debian specific
# paths eg /usr/share/qt4/mkspecs which are /usr/lib64
# on Fedora, so we must re-generate the Makefile
(cd zart && qmake-qt4 -o Makefile zart.pro)

make -C zart %{?_smp_mflags} \
   OPT_CFLAGS="%{optflags}" OPT_LDFLAGS="%{__global_ldflags}"

%install
iconv -f iso8859-1 -t utf-8 COPYING > COPYING.conv && mv -f COPYING.conv COPYING

make -C src DESTDIR=$RPM_BUILD_ROOT install

# 'install' target is set to a no-op in zart/Makefile
cp zart/zart $RPM_BUILD_ROOT/%{_bindir}/zart

# Makefile is not multilib aware
if test "%{_prefix}/lib" != "%{_libdir}"
then
    mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}/
fi

# Makefile creates too many intermediate symlinks for the library
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgmic.so.1
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgmic.so.1.5
ln -s libgmic.so.1.5.8 $RPM_BUILD_ROOT/%{_libdir}/libgmic.so.1

# Sourced files shouldn't be executable
chmod -x $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/gmic

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_bindir}/gmic
%{_sysconfdir}/bash_completion.d/gmic
%{_libdir}/libgmic.so.*
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*

%files devel
%{_includedir}/gmic.h
%{_libdir}/libgmic.so

%files -n gimp-%{name}-plugin
%{gimpplugindir}/gmic_gimp

%files -n zart
%{_bindir}/zart

%changelog
* Wed Feb  5 2014 Daniel P. Berrange <berrange@redhat.com> - 1.5.8.3-1
- Update to 1.5.8.3 release
- Build zart GUI in a sub-RPM
- Rename GIMP plugin sub-RPM
- Mark french manpage as a translation
- Ensure RPM ldflags are honoured
- Include arch in -devel sub-RPM requires
- Remove bogus requires from plugin RPM

* Wed Feb  5 2014 Daniel P. Berrange <berrange@redhat.com> - 1.5.8.2-1
- Initial Fedora package
